Skip to content
Last updated

CloseClient

Close a Client.

This will close the client, cancel any invoices and set the status of all products to Cancelled or Terminated.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"CloseClient"Required
clientidintThe ID of the client to closeRequired

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error
clientidintThe ID of the client that was closed.

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'CloseClient',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'clientid' => '1',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'CloseClient';
$postData = array(
    'clientid' => '1',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success"
}

Error Responses

Possible error condition responses include:

  • Client ID Not Found
  • An unexpected error occurred: xxx

Version History

VersionChangelog
1.0Initial Version